Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
[Java] Class Message

    java.lang.Object
      org.codehaus.groovy.control.messages.Message

    public abstract class Message
    extends java.lang.Object

A base class for compilation messages.

Authors:
  Chris Poirier

Version:
  \$Id\$

Method Summary
`static Message` | `create(java.lang.String text, ProcessingUnit owner)` Creates a new Message from the specified text.
`static Message` | `create(java.lang.String text, java.lang.Object data, ProcessingUnit owner)` Creates a new Message from the specified text.
`static Message` | `create(SyntaxException error, SourceUnit owner)` Creates a new Message from the specified SyntaxException.
`void` | `write(java.io.PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.
`void` | `write(java.io.PrintWriter writer)` A synonym for write( writer, owner, null ).

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### create

    public static Message create(java.lang.String text, ProcessingUnit owner)

  Creates a new Message from the specified text.

### create

    public static Message create(java.lang.String text, java.lang.Object data, ProcessingUnit owner)

  Creates a new Message from the specified text.

### create

    public static Message create(SyntaxException error, SourceUnit owner)

  Creates a new Message from the specified SyntaxException.

### write

    public void write(java.io.PrintWriter writer, Janitor janitor)

  Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

### write

    public final void write(java.io.PrintWriter writer)

  A synonym for write( writer, owner, null ).

Groovy Documentation